Skip to main content
GET
/
api
/
v1
/
shifts
Get all shifts
curl --request GET \
  --url https://core.ermbot.xyz/api/v1/shifts \
  --header 'Authorization: <api-key>' \
  --header 'Guild: <api-key>'
import requests

url = "https://core.ermbot.xyz/api/v1/shifts"

headers = {
"Authorization": "<api-key>",
"Guild": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>', Guild: '<api-key>'}};

fetch('https://core.ermbot.xyz/api/v1/shifts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": {
        "$oid": "<string>"
      },
      "username": "<string>",
      "nickname": "<string>",
      "user_id": 123,
      "type_": "<string>",
      "start_epoch": 123,
      "breaks": [
        {}
      ],
      "guild": 123,
      "moderations": [
        {}
      ],
      "added_time": 123,
      "removed_time": 123,
      "end_epoch": 123
    }
  ],
  "pagination": {
    "next_cursor": 123,
    "limit": 123,
    "has_more": true
  }
}
Shifts are paginated using Unix timestamps (float) as cursors for precise temporal ordering.

Cursor Format

  • Type: Unix Timestamp (float)
  • Example: 1736302471.07677
  • Ordering: Descending (newest first)

Authorizations

Authorization
string
header
required
Guild
string
header
required

Query Parameters

after
number<float>
limit
integer

Response

200 - application/json

List of shifts

data
object[]
pagination
object